body {
    height: 100vh;
    background: #111;
    display: flex;
    justify-content: center;
    align-items: center;
}

a {
    text-decoration: none;
    color: #000;
    font-family: roboto;
    font-size: 40px;
    /* border: 4px solid #5500FF; */
    font-weight: bold;
    letter-spacing: 0;
    padding: 10px 40px;
    position: relative;
    /* overflow: hidden; */
    transition: all 0.3s;
    display: flex;
    justify-content: center;
    align-items: center;
    background: #FFF;
}

a::before,
a::after{
    content: '';
    position: absolute;
    width: calc(100% + 20px);
    height: calc(100% + 20px);
    top: -10px;
    left: -10px;
    z-index: -2;
    background: #5500FF;
    transition: all 0.3s;
}

a::after{
    z-index: -1;
    background: red;
    transform: scale(0.2);
}

a:hover{
    color: red;
}

a:hover::after{
    transform: scale(1);
}